// interface definition for IConfigClass
//
// Copyright Matthias Gaertner, Schenefeld, Germany, 2001
// You may use this code under the terms of the GPL.
// Updated packages may be found at http://www.rtner.de/parsled/
//

#ifndef __ICONFIGCLASS_H
#define __ICONFIGCLASS_H

#include <IConfigLine.h>

class IConfigClass
{
public:
    virtual ~IConfigClass() = 0;

    // 0: OK else error
    virtual int feedLine( IConfigLine *icf ) = 0;

    // 0: OK else error
    virtual int checkOK() = 0;

    virtual const SimpleString &getClassName( void ) const = 0;
};

#endif /* __ICONFIGCLASS_H */

/* */
